# List allowed domains

Retrieves a paginated list of all domains in the federation allowlist. This list determines which external instances can federate with this server when allowlisting is enabled.

RBAC:
- requires ANY of Federation.Read, Federation.Manage

Endpoint: GET /api/v1/admin/domain-allow
Version: 1.0
Security: 

## Query parameters:

  - `lastId` (string,null)
    Get older records (records with IDs less than this value) Alias maxId/max_id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `limit` (integer,null)

  - `offset` (integer,null)

  - `sortBy` (string,null)

  - `sortOrder` (string,null)
    Sort order. Supported values: ASC or DESC

  - `untilId` (string,null)
    Get newer records (records with IDs greater than this value) Alias minId/min_id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Response 200 fields (application/json):

  - `domain` (string, required)
    The domain name that is allowed to federate with this instance
    Example: "mastodon.social"

  - `createdAt` (string, required)
    Timestamp when the domain was added to the allowlist
    Example: "2022-03-10T16:15:50Z"


